#include <Adafruit_NeoPixel.h>

// Which pin on the Arduino is connected to the NeoPixels?
// On a Trinket or Gemma we suggest changing this to 1:
#define LED_PIN    PB6
int perc = 32;
int oldperc = 32;
// How many NeoPixels are attached to the Arduino?
#define LED_COUNT 32
Adafruit_NeoPixel strip(LED_COUNT, LED_PIN, NEO_GRB + NEO_KHZ800);
void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  strip.begin();           // INITIALIZE NeoPixel strip object (REQUIRED)
  strip.show();            // Turn OFF all pixels ASAP
  strip.setBrightness(50); // Set BRIGHTNESS to about 1/5 (max = 255)
}

void loop() {
  // put your main code here, to run repeatedly:
  while (Serial.available() > 0) {

    // look for the next valid integer in the incoming serial stream:
    perc = Serial.parseInt();
      
if (Serial.read() == '\n') {
    perc = constrain(perc, 1, 32);

  Serial.print(perc);
    }
  }

strip.clear();    
colorWipe(strip.Color(255,   0,   0), 50); // Red

}

void colorWipe(uint32_t color, int wait) {
  if (oldperc != perc) {
  for(int i=0; i<perc; i++) { // For each pixel in strip...
    strip.setPixelColor(i, color);         //  Set pixel's color (in RAM)
    strip.show();                          //  Update strip to match
//    delay(1);                           //  Pause for a moment
    oldperc = perc;
    }
  } else {
  delay(10);
  }

}
